/* ルートディレクトリ対応strsfn */
/* 1993/11/30 : fd_path()対応 */

#include <string.h>
#include "defines.h"
#include "adisk.h"

void strsfn2(fname,drv,dir,name,ext)
unchar *fname,*drv,*dir,*name,*ext;
{
	strsfn(fd_path(fname),drv,dir,name,ext);
	if (dir[0]==0) { /* ルートディレクトリの時 */
		dir[0]='\\';
		dir[1]=0;
	}
}
